
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/stock/inventoryBatch.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "库存批次信息",
      name: "inventoryBatch",
      url: "/inventoryBatch/",
      sortName: "id",
    });
    const editFormFields = ref({
    });
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      deviceCode: "",
      deviceType: "",
      deviceStatus: "",
    });
    const searchFormOptions = ref([
      [
        { title: "托盘编号", field: "palletCode", type: "like" },
        { title: "货位编号", field: "locationCode", type: "like" },
        {
          title: "库存状态",
          field: "stockStatus",
          type: "select",
          dataKey: "stockStatusEmun",
          data: [],
        },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "materielCode",
        title: "物料编号",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "materielName",
        title: "物料名称",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "batchNo",
        title: "批号",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "productStatus",
        title: "产品状态",
        type: "string",
        width: 80,
        align: "left",
        bind: { key: "productStatusEmun", data: [] },
      },
      {
        field: "boxQuantity",
        title: "箱数",
        type: "string",
        width: 60,
        align: "left",
      },
      {
        field: "stockQuantity",
        title: "库存袋数",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "outboundQuantity",
        title: "出库袋数",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "productionDate",
        title: "生产日期",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "shelfLife",
        title: "保质期",
        type: "string",
        width: 80,
        align: "left",
      },
      {
        field: "validityPeriod",
        title: "有效期至",
        type: "string",
        width: 100,
        align: "left",
      },
      // {
      //   field: "serialNumber",
      //   title: "入库序号",
      //   type: "string",
      //   width: 90,
      //   align: "left",
      //   sort: "true",
      // },
      {
        field: "certificateNumber",
        title: "合格证号",
        type: "string",
        width: 160,
        align: "left",
      },
      // {
      //   field: "isFull",
      //   title: "是否满盘",
      //   type: "string",
      //   width: 150,
      //   align: "left",
      //   bind: { key: "yesno", data: [] },
      // },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    